> ## Documentation Index
> Fetch the complete documentation index at: https://www.artie.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List source readers

> Lists all source readers for the authenticated company.

`GET /source-readers`

## Authorization

* `Authorization` (header): API key passed as a Bearer token in the Authorization header.

## Example request

```bash
curl --request GET \
  --url https://api.artie.com/source-readers \
  --header 'Authorization: Bearer <token>'
```

## Responses

### 200 OK

* `apiBaseURL` (string)
* `archiveConnectorUUID` (string<uuid> | null)
* `companyUUID` (string<uuid>, required)
* `connectorUUID` (string<uuid>, required)
* `containerName` (string, required)
* `createdAt` (string<date-time>)
* `dataPlaneName` (string, required)
* `database` (string, required)
* `environmentUUID` (string<uuid>, required)
* `isShared` (boolean | null)
* `isValid` (boolean, required)
* `name` (string, required)
* `settings` (object, required)
  * `archiveLocationType` (string) One of: `azure_blob`, `smb_share`.
  * `archiveLogPassword` (string | null)
  * `archiveLogPath` (string | null)
  * `archiveLogPrivateLinkUUID` (string<uuid> | null, deprecated)
  * `archiveLogUsername` (string | null, deprecated)
  * `backfillBatchSize` (integer | null)
  * `backfillDefaults` (object)
    * `chunkSize` (integer, range `100000 ≤ x ≤ 100000000`)
    * `pagination` (string) One of: `client`, `server`.
    * `parallelism` (integer, range `1 ≤ x ≤ 50`)
    * `preset` (string) One of: `normal`, `performance`.
    * `readMode` (string) One of: `primaryKey`, `range`, `ctid`.
  * `collectionScopedMode` (boolean | null)
  * `compositeTypesAsText` (boolean | null)
  * `databasesToSync` (string[] | null)
  * `deploymentScopedMode` (boolean | null)
  * `disableAutoFetchTables` (boolean | null)
  * `disableFullDocumentBeforeChange` (boolean | null)
  * `disableNoCursorTimeout` (boolean | null)
  * `enableClientSideFullDocumentLookup` (boolean | null)
  * `enableHeartbeats` (boolean | null)
  * `enableRelationMessageCaching` (boolean | null)
  * `enableSchemaHistoryCompaction` (boolean | null)
  * `maxConnIdleTimeSeconds` (integer | null)
  * `messageCompression` (string | null) One of: `gzip`, ``, `null`.
  * `mssqlChangeTrackingConcurrency` (integer | null)
  * `mssqlChangeTrackingMaxIdleConns` (integer | null)
  * `mssqlChangeTrackingPollIntervalMs` (integer | null)
  * `mssqlReplicationMethod` (string | null)
  * `oneTopicPerSchema` (boolean | null)
  * `publicationAutoCreateMode` (string | null)
  * `publicationNameOverride` (string | null)
  * `publishViaPartitionRoot` (boolean | null)
  * `replicationSlotOverride` (string | null)
  * `s3PathMappings` (object[] | null)
    * `id` (string, required)
    * `match` (object, required)
      * `fileNameRegex` (string)
    * `metadata` (object, required)
      * `columns` (string[])
    * `parser` (object, required)
      * `columnOrder` (string[])
      * `csv` (object)
        * `commentPrefix` (string)
        * `delimiter` (string)
        * `headers` (string[])
        * `nullValues` (string[])
        * `trimWhitespace` (boolean)
      * `type` (string, required) One of: `csv`, `json`, `parquet`, `ach`.
    * `prefix` (string, required)
    * `primaryKey` (string[])
    * `referenceID` (string, required)
  * `unifyAcrossDatabases` (boolean | null)
  * `unifyAcrossDatabasesRegex` (string | null)
  * `unifyAcrossSchemas` (boolean | null)
  * `unifyAcrossSchemasMaxParallelism` (integer | null, range `0 ≤ x ≤ 3`)
  * `unifyAcrossSchemasRegex` (string | null)
  * `useAdvanceOnPrimaryKeepAlive` (boolean | null)
  * `useFailoverReplicationSlot` (boolean | null)
  * `useNumericTypesForMoney` (boolean | null)
  * `useReaderForOracleStreaming` (boolean | null)
* `status` (string, required) One of: `draft`, `paused`, `running`.
* `tablesConfig` (Record<string, object> | null)
  * `excludeColumns` (string[])
  * `includeColumns` (string[])
  * `name` (string)
  * `schema` (string)
  * `unifyAcrossDatabases` (boolean)
  * `unifyAcrossSchemas` (boolean)
* `updatedAt` (string<date-time>)
* `uuid` (string<uuid>, required)

```json
[
  {
    "apiBaseURL": "<string>",
    "archiveConnectorUUID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "companyUUID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "connectorUUID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "containerName": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "dataPlaneName": "<string>",
    "database": "<string>",
    "environmentUUID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "isShared": true,
    "isValid": true,
    "name": "<string>",
    "settings": {
      "archiveLocationType": "azure_blob",
      "archiveLogPassword": "<string>",
      "archiveLogPath": "<string>",
      "archiveLogPrivateLinkUUID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "archiveLogUsername": "<string>",
      "backfillBatchSize": 0,
      "backfillDefaults": {
        "chunkSize": 100000,
        "pagination": "client",
        "parallelism": 1,
        "preset": "normal",
        "readMode": "primaryKey"
      },
      "collectionScopedMode": true,
      "compositeTypesAsText": true,
      "databasesToSync": [
        "<string>"
      ],
      "deploymentScopedMode": true,
      "disableAutoFetchTables": true,
      "disableFullDocumentBeforeChange": true,
      "disableNoCursorTimeout": true,
      "enableClientSideFullDocumentLookup": true,
      "enableHeartbeats": true,
      "enableRelationMessageCaching": true,
      "enableSchemaHistoryCompaction": true,
      "maxConnIdleTimeSeconds": 123,
      "messageCompression": "gzip",
      "mssqlChangeTrackingConcurrency": 123,
      "mssqlChangeTrackingMaxIdleConns": 123,
      "mssqlChangeTrackingPollIntervalMs": 0,
      "mssqlReplicationMethod": "<string>",
      "oneTopicPerSchema": true,
      "publicationAutoCreateMode": "<string>",
      "publicationNameOverride": "<string>",
      "publishViaPartitionRoot": true,
      "replicationSlotOverride": "<string>",
      "s3PathMappings": [
        {
          "id": "<string>",
          "match": {
            "fileNameRegex": "<string>"
          },
          "metadata": {
            "columns": [
              "artieSourcePath"
            ]
          },
          "parser": {
            "columnOrder": [
              {}
            ],
            "csv": {
              "commentPrefix": {},
              "delimiter": {},
              "headers": {},
              "nullValues": {},
              "trimWhitespace": {}
            },
            "type": "csv"
          },
          "prefix": "<string>",
          "primaryKey": [
            "<string>"
          ],
          "referenceID": "<string>"
        }
      ],
      "unifyAcrossDatabases": true,
      "unifyAcrossDatabasesRegex": "<string>",
      "unifyAcrossSchemas": true,
      "unifyAcrossSchemasMaxParallelism": 0,
      "unifyAcrossSchemasRegex": "<string>",
      "useAdvanceOnPrimaryKeepAlive": true,
      "useFailoverReplicationSlot": true,
      "useNumericTypesForMoney": true,
      "useReaderForOracleStreaming": true
    },
    "status": "draft",
    "tablesConfig": {
      "key": {
        "excludeColumns": [
          "<string>"
        ],
        "includeColumns": [
          "<string>"
        ],
        "name": "<string>",
        "schema": "<string>",
        "unifyAcrossDatabases": true,
        "unifyAcrossSchemas": true
      }
    },
    "updatedAt": "2023-11-07T05:31:56Z",
    "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
]
```

### 500 Internal Server Error